Bug 30510 - Add a Patron reason column to the suggestion table in the staff interface
Summary: Add a Patron reason column to the suggestion table in the staff interface
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-04-11 21:35 UTC by Lucas Gass
Modified: 2022-05-11 01:18 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
This adds the patron reason for a suggestion to the suggestions summary table in the staff interface.
Version(s) released in:
22.05.00


Attachments
Bug 30510: Add Patron reason column to suggestion tables (3.07 KB, patch)
2022-04-11 21:43 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 30510: Add Patron reason column to suggestion tables (3.13 KB, patch)
2022-04-19 16:40 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 30510: Add Patron reason column to suggestion tables (3.18 KB, patch)
2022-04-25 08:59 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 30510: Return only the count from the new filecount method (1.63 KB, patch)
2022-04-25 22:43 UTC, Lucas Gass
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2022-04-11 21:35:23 UTC
On /cgi-bin/koha/suggestion/suggestion.pl there are several tables for Suggestions management. Some librarians would find it helpful if there was a column here showing the patron's reason for suggestion from the authorized value OPAC_SUG.
Comment 1 Lucas Gass 2022-04-11 21:43:57 UTC
Created attachment 133200 [details] [review]
Bug 30510: Add Patron reason column to suggestion tables

To test:
1. Make some patron reasons for suggestion via Home > Administration > Authorized values > OPAC_SUG
2. Give those reasons a description.
3. Make several suggestions via staff client and/or OPAC and apply some of the reasons you just made
4. Apply patch
5. Go to Home > Acquistions > Suggestions management
6. Give some of the suggestions some different status (PENDING/REJECTED/ACCEPTED/ect)
7. Make sure on each of the tables you can see the column 'Patron reason'
8. Go to Administration > Table settings and attempt to hide the column.
9. Confirm that the column is properly hidden on the Suggestions management page
Comment 2 ByWater Sandboxes 2022-04-19 16:40:22 UTC
Created attachment 133406 [details] [review]
Bug 30510: Add Patron reason column to suggestion tables

To test:
1. Make some patron reasons for suggestion via Home > Administration > Authorized values > OPAC_SUG
2. Give those reasons a description.
3. Make several suggestions via staff client and/or OPAC and apply some of the reasons you just made
4. Apply patch
5. Go to Home > Acquistions > Suggestions management
6. Give some of the suggestions some different status (PENDING/REJECTED/ACCEPTED/ect)
7. Make sure on each of the tables you can see the column 'Patron reason'
8. Go to Administration > Table settings and attempt to hide the column.
9. Confirm that the column is properly hidden on the Suggestions management page

Signed-off-by: Rhonda Kuiper <rkuiper@roundrocktexas.gov>
Comment 3 Katrin Fischer 2022-04-25 08:59:14 UTC
Created attachment 133726 [details] [review]
Bug 30510: Add Patron reason column to suggestion tables

To test:
1. Make some patron reasons for suggestion via Home > Administration > Authorized values > OPAC_SUG
2. Give those reasons a description.
3. Make several suggestions via staff client and/or OPAC and apply some of the reasons you just made
4. Apply patch
5. Go to Home > Acquistions > Suggestions management
6. Give some of the suggestions some different status (PENDING/REJECTED/ACCEPTED/ect)
7. Make sure on each of the tables you can see the column 'Patron reason'
8. Go to Administration > Table settings and attempt to hide the column.
9. Confirm that the column is properly hidden on the Suggestions management page

Signed-off-by: Rhonda Kuiper <rkuiper@roundrocktexas.gov>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Lucas Gass 2022-04-25 22:43:57 UTC
Created attachment 133846 [details] [review]
Bug 30510: Return only the count from the  new filecount method
Comment 5 Lucas Gass 2022-04-25 22:44:57 UTC
(In reply to Lucas Gass from comment #4)
> Created attachment 133846 [details] [review] [review]
> Bug 30510: Return only the count from the  new filecount method

Sorry, I attached this patch to the wrong bug number.
Comment 6 Fridolin Somers 2022-05-11 01:18:58 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄